FROM rust:1.62.1-slim-bullseye as base

RUN apt-get update && apt-get upgrade -y

RUN apt-get install libssl-dev
RUN apt-get install -y -q build-essential curl git pkg-config

WORKDIR /app/cuddle/

RUN cargo install --git https://git.front.kjuulh.io/kjuulh/cuddle.git cuddle_cli

FROM docker:stable-dind

COPY --from=base /root/.cargo /root/.cargo
RUN export PATH="$PATH:/root/.cargo/bin/"
